var GameOverSection = function(game_state){
	this.grabs_input = true
	this.game_state = game_state
}
GameOverSection.prototype = {
	on_init: function(){
		this.base = game.add.group()

		this.background_mouse_catch = game.add.sprite(0,  0, "empty")
		this.base.add(this.background_mouse_catch)
		this.background_mouse_catch.inputEnabled = true

		this.background = game.add.sprite(0,  0, "procedure_background")
		this.base.add(this.background)

		this.ui_layer = game.add.group()
		this.base.add(this.ui_layer)
		game.world.bringToTop(this.ui_layer)

		var style = {
			fontSize: COST_FONT_SIZE,
			fill: "#cb740e",
			stroke: "#1e1e1e",
			strokeThickness: 1,
			wordWrap: true,
			wordWrapWidth: 800,
		}
		var text = "Game Over!"
		this.ui_header = game.add.text(200, 125, text, style)
		this.ui_layer.add(this.ui_header)

		var style = {
			fontSize: FONT_SIZE,
			fill: "#cb740e",
			stroke: "#1e1e1e",
			strokeThickness: 1,
			wordWrap: true,
			wordWrapWidth: 770,
			//backgroundColor: '#222222',
		}

		var text = "You fixed "+this.game_state.cars_fixed+" cars before bankruptcy."

		this.ui_text = game.add.text(500, 300, text, style)
		this.ui_text.anchor.x = Math.round(this.ui_text.width * 0.5) / this.ui_text.width;
		this.ui_layer.add(this.ui_text)

		this.button = game.add.button(1000-34, 400-32, "continue_button", function(){
			this.on_press_next()
		}, this, 2, 1, 0)
		this.ui_layer.add(this.button)
		this.button.events.onInputOver.add(function(){
			this.button.tint = 0x88ff88
		}, this)
		this.button.events.onInputOut.add(function(){
			this.button.tint = 0xffffff
		}, this)

		add_statusbar(this.base, this.game_state)
	},
	on_remove: function(){
		this.base.destroy()
	},
	on_press_next: function(){
		while(sections.top())
			sections.remove(sections.top())
		start_new_game()
	},
}

